% Copyright (C) 2008-2011 - Consortium Scilab - Digiteo - Michael Baudin
% Copyright (C) 2008-2009 - Consortium Scilab - Digiteo - Vincent Couvert
% Copyright (C) 2008-2009 - INRIA - Serge Steer
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

\documentclass[12pt]{report}

\include{macros}

\begin{document}

\author{Micha\"el Baudin \and Vincent Couvert \and Serge Steer}
\date{March 2011}
\title{Optimization in Scilab}

\maketitle

\begin{abstract}
In this document, we make an overview of optimization features in Scilab. 
The goal of this document is to present all existing and non-existing 
features, such that a user who wants to solve a particular 
optimization problem can know what to look for. 
In the introduction, we analyse a classification of optimization 
problems, which serves as a guide for all the document. 
In the first chapter, we analyse the flagship of Scilab in terms of nonlinear 
optimization: the \scifun{optim} function. We analyse its features, 
the management of the cost function, the linear algebra and the 
management of the memory. Then we consider the algorithms which 
are used behind \scifun{optim}, depending on the type of algorithm
and the constraints.
In the remaining chapters, we present the algorithms available to 
solve quadratic problems, non-linear least squares problems, 
semidefinite programming, genetic algorithms, simulated annealing and 
linear matrix inequalities (which make use of semidefinite programming). 
A chapter focus on optimization data files managed by Scilab, especially
MPS and SIF files. Some optimization features are available in the 
form of toolboxes, the most important of which are the Quapro and 
CUTEr toolboxes. The final chapter is devoted to missing optimization
features in Scilab.
\end{abstract}

\clearpage

\tableofcontents

\input{copyright}

\include{introduction/introduction}
\include{overview/overview}
\include{nonlinear_optim/nonlinearoptim}
\include{quadraticoptim}
\include{nonlinearleastsquare}
\include{semidefiniteprogramming}
\include{geneticalgorithms/genetic_algorithms}
\include{simulatedannealing/simulated_annealing}
\include{lmitool/lmitool}
\include{models}
\include{quapro}
\include{toolboxes}
\include{missingfeatures}
\include{conclusion}

\clearpage

\addcontentsline{toc}{chapter}{Bibliography}
\bibliographystyle{plain}
\bibliography{scilab.optimization}

\end{document}

